Upstream information

CVE-2012-5134 at MITRE

Description

Heap-based buffer underflow in the xmlParseAttValueComplex function in parser.c in libxml2 2.9.0 and earlier, as used in Google Chrome before 23.0.1271.91 and other products, allows remote attackers to cause a denial of service or possibly execute arbitrary code via crafted entities in an XML document.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.82
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 791234 [RESOLVED / FIXED], 793334 [RESOLVED / FIXED], 795039 [RESOLVED / FIXED], 804033 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-32bit >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
Patchnames:
sledsp2-libxml2
SUSE Linux Enterprise Desktop 12
  • libxml2-2 >= 2.9.1-6.2
  • libxml2-2-32bit >= 2.9.1-6.2
  • libxml2-tools >= 2.9.1-6.2
  • python-libxml2 >= 2.9.1-6.2
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libxml2-2
SUSE Linux Enterprise Desktop 12 GA python-libxml2
SUSE Linux Enterprise Desktop 12 SP1
  • libxml2-2 >= 2.9.1-10.1
  • libxml2-2-32bit >= 2.9.1-10.1
  • libxml2-tools >= 2.9.1-10.1
  • python-libxml2 >= 2.9.1-10.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libxml2-2
SUSE Linux Enterprise Desktop 12 SP1 GA python-libxml2
SUSE Linux Enterprise Desktop 12 SP2
  • libxml2-2 >= 2.9.4-27.1
  • libxml2-2-32bit >= 2.9.4-27.1
  • libxml2-tools >= 2.9.4-27.1
  • python-libxml2 >= 2.9.4-27.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libxml2-2
SUSE Linux Enterprise Desktop 12 SP2 GA python-libxml2
SUSE Linux Enterprise Server 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-32bit >= 2.7.6-0.21.1
  • libxml2-doc >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
  • libxml2-x86 >= 2.7.6-0.25.1
Patchnames:
slessp2-libxml2
SUSE Linux Enterprise Server 11 SP3
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-32bit >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-x86 >= 2.7.6-0.23.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA libxml2
SUSE Linux Enterprise Server 11 SP4
  • libxml2 >= 2.7.6-0.31.1
  • libxml2-32bit >= 2.7.6-0.31.1
  • libxml2-doc >= 2.7.6-0.31.1
  • libxml2-x86 >= 2.7.6-0.31.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA libxml2
SUSE Linux Enterprise Server 12
  • libxml2-2 >= 2.9.1-6.2
  • libxml2-2-32bit >= 2.9.1-6.2
  • libxml2-doc >= 2.9.1-6.2
  • libxml2-tools >= 2.9.1-6.2
  • python-libxml2 >= 2.9.1-6.2
Patchnames:
SUSE Linux Enterprise Server 12 GA libxml2-2
SUSE Linux Enterprise Server 12 GA python-libxml2
SUSE Linux Enterprise Server 12 SP1
  • libxml2-2 >= 2.9.1-10.1
  • libxml2-2-32bit >= 2.9.1-10.1
  • libxml2-doc >= 2.9.1-10.1
  • libxml2-tools >= 2.9.1-10.1
  • python-libxml2 >= 2.9.1-10.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libxml2-2
SUSE Linux Enterprise Server 12 SP1 GA python-libxml2
SUSE Linux Enterprise Server 12 SP2
  • libxml2-2 >= 2.9.4-27.1
  • libxml2-2-32bit >= 2.9.4-27.1
  • libxml2-doc >= 2.9.4-27.1
  • libxml2-tools >= 2.9.4-27.1
  • python-libxml2 >= 2.9.4-27.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libxml2-2
SUSE Linux Enterprise Server 12 SP2 GA python-libxml2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libxml2-2 >= 2.9.4-27.1
  • libxml2-doc >= 2.9.4-27.1
  • libxml2-tools >= 2.9.4-27.1
  • python-libxml2 >= 2.9.4-27.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libxml2-2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA python-libxml2
SUSE Linux Enterprise Server for VMWare 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-32bit >= 2.7.6-0.21.1
  • libxml2-doc >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
  • libxml2-x86 >= 2.7.6-0.25.1
Patchnames:
slessp2-libxml2
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libxml2-devel >= 2.7.6-0.21.1
  • libxml2-devel-32bit >= 2.7.6-0.21.1
Patchnames:
sdksp2-libxml2
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libxml2-devel >= 2.7.6-0.31.1
  • libxml2-devel-32bit >= 2.7.6-0.31.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libxml2-devel
SUSE Linux Enterprise Software Development Kit 12
  • libxml2-devel >= 2.9.1-6.2
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libxml2-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libxml2-devel >= 2.9.1-10.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libxml2-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libxml2-devel >= 2.9.4-27.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libxml2-devel
SUSE Linux Enterprise Desktop 10 SP4 for x86
SUSE Linux Enterprise Server 10 SP4 for x86
  • libxml2 >= 2.6.23-15.35.1
  • libxml2-devel >= 2.6.23-15.35.1
  • libxml2-python >= 2.6.23-15.35.1
sle10-sp4-sdk.ia64
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sles10-sp4.x86
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sles10-sp4-debuginfo.s390x
sled10-sp4.x86
sles10-sp4-debuginfo.ia64
sles10-sp4.ppc
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8392
SUSE Linux Enterprise Desktop 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.35.1
  • libxml2-32bit >= 2.6.23-15.35.1
  • libxml2-devel >= 2.6.23-15.35.1
  • libxml2-devel-32bit >= 2.6.23-15.35.1
  • libxml2-python >= 2.6.23-15.35.1
sle10-sp4-sdk.ia64
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sles10-sp4.x86
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sles10-sp4-debuginfo.s390x
sled10-sp4.x86
sles10-sp4-debuginfo.ia64
sles10-sp4.ppc
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8392
SLE SDK 10 SP4 for IBM iSeries and IBM pSeries
SLE SDK 10 SP4 for IBM zSeries
SLE SDK 10 SP4 for IPF
SLE SDK 10 SP4 for X86-64
SLE SDK 10 SP4 for x86
  • libxml2-test >= 2.6.23-15.35.1
sle10-sp4-sdk.ia64
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sles10-sp4.x86
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sles10-sp4-debuginfo.s390x
sled10-sp4.x86
sles10-sp4-debuginfo.ia64
sles10-sp4.ppc
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8392
SUSE Linux Enterprise Server 10 SP4 for IPF
  • libxml2 >= 2.6.23-15.35.1
  • libxml2-devel >= 2.6.23-15.35.1
  • libxml2-python >= 2.6.23-15.35.1
  • libxml2-x86 >= 2.6.23-15.35.1
sle10-sp4-sdk.ia64
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sles10-sp4.x86
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sles10-sp4-debuginfo.s390x
sled10-sp4.x86
sles10-sp4-debuginfo.ia64
sles10-sp4.ppc
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8392
SUSE Linux Enterprise Server 10 SP4 for IBM POWER
  • libxml2 >= 2.6.23-15.35.1
  • libxml2-64bit >= 2.6.23-15.35.1
  • libxml2-devel >= 2.6.23-15.35.1
  • libxml2-devel-64bit >= 2.6.23-15.35.1
  • libxml2-python >= 2.6.23-15.35.1
sle10-sp4-sdk.ia64
sled10-sp4.x86-64
sles10-sp4.x86-64
sles10-sp4-debuginfo.x86-64
sle10-sp4-sdk.ppc
sle10-sp4-sdk.s390x
sles10-sp4.x86
sles10-sp4.ia64
sles10-sp4.s390x
sles10-sp4-debuginfo.ppc
sle10-sp4-sdk.x86-64
sle10-sp4-sdk.x86
sles10-sp4-debuginfo.s390x
sled10-sp4.x86
sles10-sp4-debuginfo.ia64
sles10-sp4.ppc
sles10-sp4-debuginfo.x86
ZYPP Patch Nr: 8392
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7630
SUSE Linux Enterprise Server 11 SP1 LTSS
  • libxml2 >= 2.7.6-0.23.1
  • libxml2-32bit >= 2.7.6-0.23.1
  • libxml2-doc >= 2.7.6-0.23.1
  • libxml2-python >= 2.7.6-0.23.1
Builds
SAT Patch Nr: 7630
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8714
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-32bit >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-devel-32bit >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8714
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8716
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • libxml2 >= 2.6.23-15.39.1
  • libxml2-32bit >= 2.6.23-15.39.1
  • libxml2-devel >= 2.6.23-15.39.1
  • libxml2-devel-32bit >= 2.6.23-15.39.1
  • libxml2-python >= 2.6.23-15.39.1
Builds
ZYPP Patch Nr: 8716
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libxml2-devel >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Software Development Kit 11 SP2
  • libxml2-devel >= 2.7.6-0.21.1
  • libxml2-devel-32bit >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Desktop 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Desktop 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-32bit >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-doc >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Server 11 SP2
SUSE Linux Enterprise Server 11 SP2 for VMware
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-32bit >= 2.7.6-0.21.1
  • libxml2-doc >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
SUSE Linux Enterprise Server 11 SP2
  • libxml2 >= 2.7.6-0.21.1
  • libxml2-doc >= 2.7.6-0.21.1
  • libxml2-python >= 2.7.6-0.21.1
  • libxml2-x86 >= 2.7.6-0.21.1
sle11-sp2-sdk.ppc
sle11-sp2-sdk.x86-64
sles11-sp2.x86
sles11-sp2.x86-64
sles11-sp2.ppc
sles11-sp2-vmware.x86
sled11-sp2.x86-64
sled11-sp2.x86
sles11-sp2.s390x
sle11-sp2-sdk.s390x
sle11-sp2-sdk.x86
sles11-sp2.ia64
sle11-sp2-sdk.ia64
sles11-sp2-vmware.x86-64
SAT Patch Nr: 7140
openSUSE 13.2
  • libxml2-2 >= 2.9.1-7.2.1
  • libxml2-2-32bit >= 2.9.1-7.2.1
  • libxml2-devel >= 2.9.1-7.2.1
  • libxml2-tools >= 2.9.1-7.2.1
  • python-libxml2 >= 2.9.1-7.2.1
Patchnames:
openSUSE 13.2 GA libxml2-2
openSUSE 13.2 GA python-libxml2
openSUSE Evergreen 11.4
  • libxml2 >= 2.7.8-37.1
  • libxml2-32bit >= 2.7.8-37.1
  • libxml2-debuginfo >= 2.7.8-37.1
  • libxml2-debuginfo-32bit >= 2.7.8-37.1
  • libxml2-debuginfo-x86 >= 2.7.8-37.1
  • libxml2-debugsource >= 2.7.8-37.1
  • libxml2-devel >= 2.7.8-37.1
  • libxml2-devel-32bit >= 2.7.8-37.1
  • libxml2-doc >= 2.7.8-37.1
  • libxml2-x86 >= 2.7.8-37.1
Patchnames:
2012-19
openSUSE Leap 42.1
  • libxml2-2 >= 2.9.1-8.1
  • libxml2-2-32bit >= 2.9.1-8.1
  • libxml2-devel >= 2.9.1-8.1
  • libxml2-tools >= 2.9.1-8.1
  • python-libxml2 >= 2.9.1-8.1
Patchnames:
openSUSE Leap 42.1 GA libxml2-2
openSUSE Leap 42.1 GA python-libxml2
openSUSE Leap 42.2
  • libxml2-2 >= 2.9.4-1.4
  • libxml2-2-32bit >= 2.9.4-1.4
  • libxml2-devel >= 2.9.4-1.4
  • libxml2-tools >= 2.9.4-1.4
  • python-libxml2 >= 2.9.4-1.3
Patchnames:
openSUSE Leap 42.2 GA libxml2-2
openSUSE Leap 42.2 GA python-libxml2
openSUSE Tumbleweed
  • chromedriver >= 55.0.2883.75-3.1
  • chromium >= 55.0.2883.75-3.1
  • libxml2-2 >= 2.9.4-1.22
  • libxml2-2-32bit >= 2.9.4-1.22
  • libxml2-devel >= 2.9.4-1.22
  • libxml2-devel-32bit >= 2.9.4-1.22
  • libxml2-doc >= 2.9.4-1.22
  • libxml2-tools >= 2.9.4-1.22
  • python-libxml2 >= 2.9.4-1.4
Patchnames:
openSUSE Tumbleweed GA chromedriver
openSUSE Tumbleweed GA libxml2-2
openSUSE Tumbleweed GA python-libxml2